Announcement

Collapse

Sellerdeck Community upgrade

18 May: completed upgrade of the Sellerdeck Community software. Please report any issues in this post.
See more
See less

V10 Compatibility with litespeed httpd?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • V10 Compatibility with litespeed httpd?

    Hi,

    our hosting provider recently moved our account to a new server which is running litespeed httpd rather than apache.

    Since this move, we've had a few issues, one of which is still outstanding:

    1) Perl moved (not a surprise). Fixed and OK.
    2) cgi-bin and perl scripts permissions broken. Fixed and OK.
    3) 500 Internal Server error when submitting orders. We and our provider are at a loss to find what is causing this.

    Things I've looked at:

    Directory permissions - seem OK - acatalog is 777, cgi-bin is 755.
    Files created in acatalog - session files are being created, and Order.num/Backup.num are being updated when an order is submitted.

    My guess is something is going wrong either when creating the temp file, or creating the encrypted order file.

    Does anybody have any suggestions or any information we can feed back to our provider which may help them.

    The ONLY thing being logged is a basic 500 error in the access log, nothing in the error log, and nothing in any internal acatalog error files.

    Thanks in advance!

    -PJC

  • #2
    Have you checked all the required perl modules are installed? I'm pretty sure there's a list somewhere.

    Under Help> Troubleshooting there's a 'Web Site Analysis' option that will help with this. I'm not sure if this is in V10 or not, I know V11 does have it.

    Mike
    -----------------------------------------

    First Tackle - Fly Fishing and Game Angling

    -----------------------------------------

    Comment


    • #3
      Originally posted by Mike Hughes View Post
      Have you checked all the required perl modules are installed? I'm pretty sure there's a list somewhere.

      Under Help> Troubleshooting there's a 'Web Site Analysis' option that will help with this. I'm not sure if this is in V10 or not, I know V11 does have it.

      Mike
      Hi,

      I've set up a brand new test site on the same hosting plan to see if it has the same issue, and to simplify things like ruling out SSL issues, etc.

      Sadly the test site does have the exact same problem.

      Running the Web Site Analysis on both sites, the only potential issue that I can see is that we don't have the ActEncrypt1024 Perl module.

      We're hosted on shared hosting and this is our 3rd different server, but the first running litespeed -- is it possible that the lack of ActEncrypt1024 is causing this 500 issue?

      I've attached the output from the web site analysis from the test site in case anybody else can spot anything I've missed! (Uploaded as txt though it's actually html)

      -PJC
      Attached Files

      Comment


      • #4
        Originally posted by pjc007 View Post

        Running the Web Site Analysis on both sites, the only potential issue that I can see is that we don't have the ActEncrypt1024 Perl module.
        That is a SellerDeck perl module see this thread in the forum for more details, lots more posts if you search on ActEncrypt1024 in the forum.

        http://community.sellerdeck.com/showthread.php?t=44812

        Malcolm

        SellerDeck Accredited Partner,
        SellerDeck 2016 Extensions, and
        Custom Packages

        Comment


        • #5
          Unfortunately none of the posts I've found provide a working link for ActEncrypt1024 - I've emailed Sellerdeck, but haven't heard back.

          The only link I managed to find was to the old site and isn't valid anymore.

          Does anybody have a copy of ActEncrypt?

          Thanks,
          PJC

          Comment

          Working...
          X